{% extends "base.html" %}

{% block main %}
<h1>{{ playlist.name }}</h1>
{% for w in range(0, playlist.songs|length, 5) %}
<div class="card-deck" style="width: {{width}}%">
    {% for x in playlist.songs[w:w+5] %}
    <div class = "card" style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);margin-bottom: auto;">
        <a href ="{{ url_for('song',id = x.id) }}">
            <img class = "card-img-top" src="{{ url_for('static', filename='images/'+x.img) }}" alt={{x.title}} style="width: 100%" >
            <p class="text-center" style="margin-bottom: auto;">{{ x.title }}</p>
        </a>
    </div>
    {% endfor %}
</div>
{% endfor %}
{% endblock %}
